{%- macro statistic(resource_name, failing, total, failing_list) %}
>>> Nb {{ resource_name }}: {{ total }}
>>> Nb Failed {{ resource_name }}: {{ failing }}
{%- if failing > 0 %}
>>> List of Failed {{ resource_name }}: [{{ failing_list.keys() | join(", ") }}]
{%- endif %}
{%- endmacro %}
------------------------------------------------
---------------- helm {{ release }} tests ---------------
------------------------------------------------
{{ statistic("Helms", (ns.failing_helms | length), (ns.helms | length), ns.failing_helms)  }}
------------------------------------------------
------------------------------------------------
------------------------------------------------
